---
title: "Get suppliers filtered and paged"
slug: "get-suppliers-filtered-and-paged-1"
updated: 2024-09-04T08:47:07Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get suppliers filtered and paged

Get/api/v1/relations/suppliers/filter

Get a paged list of existing suppliers, optionally filtered to the given parameters. A param-based alternative to the '/filter' POST endpoint.

		
			

**Description**

Retrieve a paged list of existing suppliers, optionally filtered to the given parameters. The Bloxs relations-api offers 2 options to get suppliers filtered and paged. One is through the POST option, and as an alternative there is a GET operation available. The functional difference is that the POST option offers the ability to sort the results. Furthermore, the POST includes the parameters in the body whereas the GET includes them in the url.

Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

A supplier encompasses all entities from which you receive invoices. For example, the tax authorities or a cleaning company. Also, for instance, the company from which you purchase office supplies.

**Use Case**

The Bloxs user has an external App connected to Bloxs. Through this operation the user can display a paged list of suppliers & the related information. This operation can be used if the user wants to display multiple suppliers rather than just a specific one. If the user wants to display a single supplier the preference is to use the GET (suppliers) operation.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| website | Website of the supplier. |
| externalAPIIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system. |
| supplierTypeName | Supplier type. The enumeration can be set by the user in the admin module. In the administration, there is already a default list created by Bloxs, which can be modified by the user. |
| name | Name of the supplier. |
| isActive | Boolean. True: Active False: Inactive |
| phoneNumber | Phone number of the supplier. |
| mobileNumber | Mobile phone number of the supplier. |
| addressStreet | The street of the supplier. |
| addressPostalCode | The postal code of the supplier. |
| addressCity | The place of residence of the supplier. |
| email | Email of the supplier. |
| lastModified | Timestamp of the last modification within Bloxs (determined by Bloxs). |

**Response fields**

In addition to the fields in the request, the response also contains the fields in the table below.

| Field | Description |
| --- | --- |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on ascending name, columnName will contain the value 'name'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parameterspageSizeinteger (int32) 

The requested page size. Defaults to 100 when not given.

Minimum1Maximum1000
pageNumberinteger (int32) 

The requested page number. Defaults to 1 when not given.

Minimum1Maximum9999
namestring

Optional filter on the name of the supplier.

referencestring

Optional filter on the reference of the supplier.

externalIdentifierstring

Optional filter on the external API identifier of the supplier.

supplierTypeNamestring

Optional filter on the supplier type name of the supplier.

phoneNumberstring

Optional filter on the phone number of the supplier.

mobileNumberstring

Optional filter on the mobile number of the supplier.

primaryEmailAddressesstring

Optional filter on the primary e-mail addressess of the supplier.

addressStreetAndHouseNumberstring

Optional filter on the street and house number of the address of the supplier.

addressPostalCodestring

Optional filter on the postal code of the address of the supplier.

addressCitystring

Optional filter on the city of the address of the supplier.

addressCountryISOCodestring

Optional filter on the country ISO code of the address of the supplier.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='3cd4b800-df8b-4c40-afaa-5f57f3d5b45b'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

suppliers Array of object (SupplierSearchResultFilter)  | null  object  namestring   | null  
referencestring   | null  
externalIdentifierstring   | null  
supplierTypeNamestring   | null  
phoneNumberstring   | null  
mobileNumberstring   | null  
primaryEmailAddressesstring   | null  
addressStreetAndHouseNumberstring   | null  
addressPostalCodestring   | null  
addressCitystring   | null  
addressCountryISOCodestring   | null  
archiveDatestring  (date-time)   | null  
lastModifiedstring  (date-time)   | null
